import React from 'react';
import { ISimpleSearchResult } from './model';
export interface ISimpleSearchProps {
    /**
     * @description 自定义类名
     * @default
     */
    className?: string;
    /**
     * @description 自定义样式
     * @default
     */
    style?: React.CSSProperties;
    /**
     * @description 默认区分大小写
     * @default false
     */
    defaultCaseSensitive?: boolean;
    /**
     * @description 区分大小写
     * @default
     */
    caseSensitive?: boolean;
    /**
     * @description 搜索全文
     * @default
     */
    text?: string;
    /**
     * @description 搜索结果
     * @default
     */
    results?: {
        word?: string;
    }[];
    /**
     * @description 宽度
     * @default 280
     */
    width?: string | number;
    /**
     * @description 搜索框 placeholder
     * @default '按 Enter 键检索'
     */
    placeholder?: string;
    /**
     * @description 搜索内容变化回调
     * @default
     */
    onSearch?: (text: string, caseSensitive: boolean) => void;
    /**
     * @description 搜索结果变化回调
     * @default
     */
    onResultChange?: (results: ISimpleSearchResult[]) => void;
    /**
     * @description 索引变化回调
     * @default
     */
    onCurrentChange?: (index: number, value: ISimpleSearchResult, all: ISimpleSearchResult[]) => void;
}
export declare const SimpleSearch: React.MemoExoticComponent<(props: ISimpleSearchProps) => JSX.Element>;
