import { SpinProps } from 'antd';
import React, { ReactNode } from 'react';
import { ISearchLabels } from '../../typings';
import { ITreeSearchItemRenderProps, ITreeSearchPageRenderProps } from './model';
interface IProps {
    /**
     * @description 自定义类名
     * @default
     */
    className?: string;
    /**
     * @description 自定义样式
     * @default
     */
    style?: React.CSSProperties;
    /**
     * @description 默认是否区分大小写
     * @default false
     */
    defaultCaseSensitive?: boolean;
    /**
     * @description 搜索结果
     * @default
     */
    results: ISearchLabels;
    /**
     * @description 加载中
     * @default false
     */
    loading?: boolean;
    /**
     * @description spinProps
     * @default false
     */
    spinProps?: SpinProps;
    /**
     * @description 是否展开全部
     * @default false
     */
    expandAll?: boolean;
    /**
     * @description 自定义描述
     * @default
     */
    description?: (count: number, loading: boolean) => string | ReactNode;
    /**
     * @description 搜索内容变化时回调
     * @default
     */
    onSearch: (keyword: string, caseSensitive: boolean) => void;
    /**
     * @description 自定义页节点
     * @default
     */
    pageRender?: ITreeSearchPageRenderProps;
    /**
     * @description 自定义搜索项节点
     * @default
     */
    itemRender?: ITreeSearchItemRenderProps;
    /**
     * @description 高亮索引变化时回调
     * @default
     */
    onCurrentChange: (index: number) => void;
}
export declare const TreeSearch: React.MemoExoticComponent<(props: IProps) => JSX.Element>;
export {};
