import React, { PureComponent, ReactNode } from 'react';
import { LabelHub } from './hub';
import { ILabels, IMouseEnterLabelsEvent } from './typings';
interface IProps {
    /**
     * @description 自定义类名
     * @default
     */
    className?: string;
    /**
     * @description 自定义样式
     * @default
     */
    style?: React.CSSProperties;
    /**
     * @description 通讯中心
     * @default
     */
    hub: LabelHub;
    /**
     * @description 加载引擎
     * @default
     */
    engine: string;
    /**
     * @description 禁止文本标注 tooltip
     * @default false
     */
    labelTooltipDisabled?: boolean;
    /**
     * @description 文本标注 tooltip 内容
     * @default -
     */
    tooltipContent?: (labels: ILabels) => ReactNode;
}
interface IState {
    tooltipVisible: boolean;
    mouseEnterLabelsEvent: IMouseEnterLabelsEvent | null;
}
export declare class Document extends PureComponent<IProps, IState> {
    url: string;
    iframeRef: React.RefObject<HTMLIFrameElement>;
    state: IState;
    private destroy$;
    get api(): any;
    constructor(props: IProps);
    componentDidMount(): void;
    messageHandler: (e: MessageEvent) => void;
    onLoad: () => void;
    render(): JSX.Element;
    componentWillUnmount(): void;
}
export {};
