import { LabelHub } from '../../hub';
import { ISearchLabel, ISearchLabels } from '../../typings';
interface ILabelSearchOptions {
    /**
     * 搜索结果高亮时样式
     */
    activeStyle?: Partial<CSSStyleDeclaration>;
    /**
     * 高亮时动画
     */
    activeAnimation?: ISearchLabel['activeAnimation'];
}
export declare const useSearch: (hub: LabelHub, options?: ILabelSearchOptions | undefined) => {
    results: ISearchLabels;
    loading: boolean;
    search: (text: string, caseSensitive: boolean) => void;
    setCurrent: (activeIndex: number) => void;
    clear: () => void;
    searchProps: {
        results: ISearchLabels;
        loading: boolean;
        onSearch: (text: string, caseSensitive: boolean) => void;
        onCurrentChange: (activeIndex: number) => void;
        onClear: () => void;
    };
};
export {};
