import React, { CSSProperties, ReactNode } from 'react';
export interface IPaginationProps {
    /**
     * @description 总页数
     * @default 1
     */
    total?: number;
    /**
     * @description 默认页码
     * @default 1
     */
    defaultPage?: number;
    /**
     * @description 当前页码
     * @default
     */
    page?: number;
    /**
     * @description 页码变化事件
     * @default
     */
    onChange?: (value: number) => void;
    /**
     * @description 自定义上一页图标
     * @default <LeftOutlined />
     */
    prevIcon?: ReactNode;
    /**
     * @description 自定义下一页图标
     * @default <RightOutlined />
     */
    nextIcon?: ReactNode;
    /**
     * @description 自定义第一页图标
     * @default <VerticalRightOutlined />
     */
    firstIcon?: ReactNode;
    /**
     * @description 自定义最后一页图标
     * @default <VerticalLeftOutlined />
     */
    lastIcon?: ReactNode;
    /**
     * @description 支持跳转至第一页
     * @default true
     */
    enableToFirst?: boolean;
    /**
     * @description 自定义最后一页图标
     * @default true
     */
    enableToLast?: boolean;
    /**
     * @description 无边框
     * @default false
     */
    borderLess?: boolean;
    /**
     * @description 自定义分隔符
     * @default -
     */
    splitter?: string | ReactNode;
    /**
     * @description 自定义样式
     * @default /
     */
    style?: CSSProperties;
    /**
     * @description 自定义类名
     * @default
     */
    className?: string;
}
export declare const Pagination: React.MemoExoticComponent<(props: IPaginationProps) => JSX.Element>;
